org.apache.ignite.internal.processors.cache.persistence.checkpoint

## Interface CheckpointListener.Context

All Known Implementing Classes:
  CheckpointContextImpl

Enclosing interface:
  CheckpointListener

    public static interface CheckpointListener.Context

Context with information about current snapshots.

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable Executor` `executor()`
`IgniteInternalFuture<?>` `finishedStateFut()`
`boolean` `needToSnapshot(String cacheOrGrpName)`
`boolean` `nextSnapshot()`
`PartitionAllocationMap` `partitionStatMap()`
`CheckpointProgress` `progress()`
`boolean` `walFlush()` Whether to flush WAL after a Checkpoint begin.
`void` `walFlush(boolean flush)`

### Method Detail

#### progress

    CheckpointProgress progress()

Returns:
  Checkpoint progress callback.

#### nextSnapshot

    boolean nextSnapshot()

Returns:
  `True` if a snapshot have to be created after.

#### walFlush

    void walFlush(boolean flush)

Parameters:
  `flush` - If `True` then will flush WAL after a Checkpoint begin.

#### walFlush

    boolean walFlush()

Whether to flush WAL after a Checkpoint begin.

#### finishedStateFut

    IgniteInternalFuture<?> finishedStateFut()

Returns:
  Checkpoint future which will be completed when checkpoint ends.

#### partitionStatMap

    PartitionAllocationMap partitionStatMap()

Returns:
  Partition allocation statistic map

#### needToSnapshot

    boolean needToSnapshot(String cacheOrGrpName)

Parameters:
  `cacheOrGrpName` - Cache or group name.

#### executor

    @Nullable
    @Nullable Executor executor()

Returns:
  Context executor.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023